Skip to content
Snippets Groups Projects
Commit 8c46bc03 authored by Bob Mottram's avatar Bob Mottram
Browse files

koel version

parent a03b2c5b
No related branches found
No related tags found
No related merge requests found
......@@ -41,7 +41,7 @@ KOEL_CODE=
KOEL_ONION_PORT=8118
KOEL_PORT=9002
KOEL_REPO="https://github.com/phanan/koel"
KOEL_COMMIT='6cd089ca2fb4e0880e39dcad1d8d911edf86f494'
KOEL_COMMIT='v3.7.0'
KOEL_ADMIN_PASSWORD=
KOEL_SHORT_DESCRIPTION=$'Music player'
......@@ -522,7 +522,8 @@ function install_koel_main {
fi
cd "/var/www/$KOEL_DOMAIN_NAME/htdocs" || exit 83
git checkout "$KOEL_COMMIT" -b "$KOEL_COMMIT"
#git checkout "$KOEL_COMMIT" -b "$KOEL_COMMIT"
git checkout "$KOEL_COMMIT"
set_completion_param "koel commit" "$KOEL_COMMIT"
chown -R www-data:www-data "/var/www/$KOEL_DOMAIN_NAME/htdocs"
......
......@@ -49,12 +49,22 @@ function git_pull {
# delete any existing branch
git branch -D "$2"
# check out the new branch
if ! git checkout "$2" -b "$2"; then
if [ -f /tmp/.upgrading ]; then
rm /tmp/.upgrading
if [[ "$2" == 'v'* || "$2" == 'V'* ]]; then
if ! git checkout "$2"; then
if [ -f /tmp/.upgrading ]; then
rm /tmp/.upgrading
fi
echo $"Unable to checkout $1 $2"
exit 72
fi
else
if ! git checkout "$2" -b "$2"; then
if [ -f /tmp/.upgrading ]; then
rm /tmp/.upgrading
fi
echo $"Unable to checkout $1 $2"
exit 72
fi
echo $"Unable to checkout $1 $2"
exit 72
fi
fi
}
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment